# Generated by Django 3.1.7 on 2021-03-19 19:57

import uuid

import django.contrib.postgres.fields
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("tenants", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Client",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("updated_at", models.DateTimeField(auto_now=True, null=True, verbose_name="Updated at")),
                ("created_at", models.DateTimeField(auto_now_add=True, null=True, verbose_name="Created at")),
                ("name", models.CharField(max_length=254, verbose_name="Name")),
                ("company", models.CharField(blank=True, max_length=254, null=True, verbose_name="Company")),
                ("position", models.CharField(blank=True, max_length=254, null=True, verbose_name="Position")),
                ("site", models.CharField(blank=True, max_length=254, null=True, verbose_name="Site")),
                (
                    "email",
                    django.contrib.postgres.fields.ArrayField(
                        base_field=models.EmailField(max_length=254, verbose_name="Email"),
                        blank=True,
                        null=True,
                        size=None,
                    ),
                ),
                (
                    "created_by",
                    models.ForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="clients_created_client_set",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Created by",
                    ),
                ),
                (
                    "tenant",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="clients", to="tenants.tenant"
                    ),
                ),
                (
                    "updated_by",
                    models.ForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="clients_updated_client_set",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Updated by",
                    ),
                ),
            ],
            options={
                "verbose_name": "Client",
                "verbose_name_plural": "Clients",
                "db_table": "clients",
            },
        ),
    ]
