from clients.filters import ClientFilter
from clients.models import Client
from clients.serializers import ClientSerializer, TenantClientSerializer
from main.core.permissions import VLNModelPermissions
from main.core.views import VLNModelViewSet


class ClientViewSet(VLNModelViewSet):
    permission_classes = (VLNModelPermissions,)
    serializer_class = ClientSerializer
    filterset_class = ClientFilter
    queryset = Client.objects.all()
    ordering = ["-id"]


class TenantClientViewSet(VLNModelViewSet):
    serializer_class = TenantClientSerializer
    pagination_class = None
