from rest_framework.exceptions import APIException


class ParallelExecutionException(Exception):
    pass


class BadGateway(APIException):
    status_code = 502
    default_detail = "Bad gateway"
    default_code = "bad_gateway"


class ServiceUnavailable(APIException):
    status_code = 503
    default_detail = "Service temporarily unavailable"
    default_code = "service_unavailable"


class GatewayTimeout(APIException):
    status_code = 504
    default_detail = "Gateway timeout"
    default_code = "gateway_timeout"
