from django.core.paginator import Paginator
from rest_framework.pagination import PageNumberPagination


class VLNPaginator(Paginator):
    pass


class DefaultVLNPagination(PageNumberPagination):
    django_paginator_class = VLNPaginator
    pagination_disabled_query_param = None  # 'unpaginated'
    page_query_param = "page"
    page_size_query_param = "size"
    page_size = 50
    max_page_size = 1000

    def get_page_size(self, request):
        # disable pagination if query param is present
        if self.pagination_disabled_query_param and self.pagination_disabled_query_param in request.query_params:
            return None
        if self.page_size_query_param and request.query_params.get(self.page_size_query_param) == "max":
            return self.max_page_size
        return super().get_page_size(request)
