from copy import deepcopy

from rest_framework.permissions import DjangoModelPermissions


def get_custom_method_map():
    """
    By default DRF does not check permissions on GET, enable it here
    """
    perms = deepcopy(DjangoModelPermissions.perms_map)
    # Temporarily disabled, if not re-enabled before 7.09.2020, delete this check entirely
    # perms['GET'].append('%(app_label)s.view_%(model_name)s')
    return perms


class VLNModelPermissions(DjangoModelPermissions):
    perms_map = get_custom_method_map()


def AutoPermissions(app_label, class_name):
    class Permissions:
        ADD: str = ".".join((app_label, f"add_{class_name}"))
        CHANGE: str = ".".join((app_label, f"change_{class_name}"))
        DELETE: str = ".".join((app_label, f"delete_{class_name}"))
        VIEW: str = ".".join((app_label, f"view_{class_name}"))

    return Permissions
