from rest_framework.routers import Route, DefaultRouter
from rest_framework_nested.routers import NestedMixin


class VLNRelatedViewSetSupportRouterMixin:
    __extra_routes = [
        Route(
            url=r"^{prefix}{trailing_slash}$",
            mapping={
                "get": "retrieve_related",
                "put": "update_related",
                "patch": "partial_update_related",
            },
            name="{basename}-related",
            detail=False,
            initkwargs={"suffix": "Related"},
        )
    ]

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.routes = self.__extra_routes + super().routes


class VLNRouter(VLNRelatedViewSetSupportRouterMixin, DefaultRouter):
    pass


class VLNNestedRouter(NestedMixin, VLNRouter):
    pass
