from rest_framework.serializers import Serializer, ListSerializer

from main.core.serializers import CacheAwareSerializerMixin


class RecursiveField(Serializer):  # noqa
    def to_representation(self, value):
        serializer = self.parent.parent.__class__(value, context=self.context)
        return serializer.data


class CacheAwareListSerializer(CacheAwareSerializerMixin, ListSerializer):  # noqa
    pass


class CacheAwareRecursiveField(CacheAwareSerializerMixin, RecursiveField):  # noqa
    class Meta:
        list_serializer_class = CacheAwareListSerializer
