class Singleton:
    __singleton_instance = None

    def __new__(cls, *args, **kwargs):
        if cls.__singleton_instance is None:
            cls.__singleton_instance = super().__new__(cls)
        return cls.__singleton_instance


class readonly_class_property:  # noqa
    def __init__(self, getter):
        self.getter = getter

    def __get__(self, obj, cls):
        return self.getter(cls)
