def set_in(obj: dict, key: str, value):
    tokens = key.split("__")
    current_level = obj
    if not isinstance(current_level, dict):
        current_level = {}
    for token in tokens[:-1]:
        if token not in current_level or not isinstance(current_level[token], dict):
            current_level[token] = {}
        current_level = current_level[token]
    current_level[tokens[-1]] = value
    return obj


def get_in(obj: dict, key: str, default=None):
    tokens = key.split("__")
    current_level = obj
    if not isinstance(current_level, dict):
        return default
    for token in tokens:
        if token in current_level:
            current_level = current_level[token]
        else:
            return default
    return current_level


def decapitalize_keys(source, recursive=False):
    """
    переводит первую букву всех строковых ключей в словаре в нижний регистр
    :param source:
    :param recursive:
    :return:
    """
    if recursive and isinstance(source, list):
        for item in source:
            decapitalize_keys(item, recursive=recursive)
    if not isinstance(source, dict):
        return source
    for key in list(source.keys()):
        if isinstance(key, str):
            value = source.pop(key)
            source[key[0].lower() + key[1:]] = value
        else:
            value = source[key]
        if recursive:
            decapitalize_keys(value, recursive=recursive)
    return source
