import re

import bleach

# TODO: use a different sanitizer implementation

whitespace_line_start_re = re.compile(r"^\s+", flags=re.MULTILINE)
whitespace_inline_re = re.compile(r"[ \t]+")
style_re = re.compile(r"<style>(?:.|\n)*</style>", flags=re.MULTILINE)


def html2text(html: str):
    text = bleach.clean(html, tags=["style"], attributes={}, styles=[], strip=True)
    text = style_re.sub("", text)
    text = whitespace_line_start_re.sub("", text)
    text = whitespace_inline_re.sub(" ", text)
    return text
