from django.db import models
from main.core.models import UUIDIDMixin
from tags.constants import TagType


class Tag(UUIDIDMixin):
    name = models.CharField("Name", max_length=254)
    comment = models.CharField("Company", max_length=254, null=True, blank=True)
    type = models.CharField("Type", max_length=32, choices=TagType.choices, default=TagType.CLIENT)

    tenant = models.ForeignKey("tenants.Tenant", related_name="tags", on_delete=models.CASCADE)

    class Meta:
        app_label = "tags"
        db_table = "tags"
        verbose_name = "Tag"
        verbose_name_plural = "Tags"

    def __str__(self):
        return f"{self.name}"
