from main.core.permissions import VLNModelPermissions
from main.core.views import VLNModelViewSet
from tags.filters import TagFilter
from tags.models import Tag
from tags.serializers import TagSerializer, TenantTagSerializer


class TagViewSet(VLNModelViewSet):
    permission_classes = (VLNModelPermissions,)
    serializer_class = TagSerializer
    filterset_class = TagFilter
    queryset = Tag.objects.all()
    ordering = ["-id"]


class TenantTagViewSet(VLNModelViewSet):
    serializer_class = TenantTagSerializer
    pagination_class = None
