from main.core.permissions import VLNModelPermissions
from main.core.views import VLNModelViewSet
from task_templates.filters import TaskTemplateFilter
from task_templates.models import TaskTemplate
from task_templates.serializers import (
    TaskTemplateSerializer,
    TenantTaskTemplateSerializer,
)


class TaskTemplateViewSet(VLNModelViewSet):
    permission_classes = (VLNModelPermissions,)
    serializer_class = TaskTemplateSerializer
    filterset_class = TaskTemplateFilter
    queryset = TaskTemplate.objects.all()
    ordering = ["-id"]


class TenantTaskTemplateViewSet(VLNModelViewSet):
    serializer_class = TenantTaskTemplateSerializer
    pagination_class = None
