# Generated by Django 3.1.7 on 2021-03-19 20:00

import uuid

import django.core.serializers.json
import django.db.models.deletion
import task_templates.models
import tasks.models
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("tenants", "0001_initial"),
        ("clients", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="TaskTemplate",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("name", models.CharField(max_length=254, verbose_name="Name")),
                (
                    "meta_info",
                    models.JSONField(
                        default=task_templates.models.get_default_task_template_meta,
                        encoder=django.core.serializers.json.DjangoJSONEncoder,
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        choices=[("TEXT", "Text"), ("VOICE", "Voice"), ("MISSING_CALL", "Missing call")],
                        default="VOICE",
                        max_length=32,
                        verbose_name="Type",
                    ),
                ),
                (
                    "tenant",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="task_templates", to="tenants.tenant"
                    ),
                ),
            ],
            options={
                "verbose_name": "Task template",
                "verbose_name_plural": "Task templates",
                "db_table": "task_templates",
            },
        ),
        migrations.CreateModel(
            name="Task",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("updated_at", models.DateTimeField(auto_now=True, null=True, verbose_name="Updated at")),
                ("created_at", models.DateTimeField(auto_now_add=True, null=True, verbose_name="Created at")),
                (
                    "type",
                    models.CharField(
                        choices=[("TEXT", "Text"), ("VOICE", "Voice"), ("MISSING_CALL", "Missing call")],
                        default="VOICE",
                        max_length=32,
                        verbose_name="Type",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        choices=[("NEW", "New"), ("IN_PROCESS", "In process"), ("DONE", "Done"), ("CLOSED", "Closed")],
                        default="NEW",
                        max_length=32,
                        verbose_name="Status",
                    ),
                ),
                ("recording_id", models.UUIDField(default=uuid.uuid4, editable=False, verbose_name="Record id")),
                (
                    "meta_info",
                    models.JSONField(
                        default=tasks.models.get_default_task_meta,
                        encoder=django.core.serializers.json.DjangoJSONEncoder,
                    ),
                ),
                (
                    "assignee",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="tasks", to=settings.AUTH_USER_MODEL
                    ),
                ),
                (
                    "client",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="tasks", to="clients.client"
                    ),
                ),
                (
                    "created_by",
                    models.ForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="tasks_created_task_set",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Created by",
                    ),
                ),
                (
                    "task_template",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="tasks", to="tasks.tasktemplate"
                    ),
                ),
                (
                    "updated_by",
                    models.ForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="tasks_updated_task_set",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Updated by",
                    ),
                ),
            ],
            options={
                "verbose_name": "Task",
                "verbose_name_plural": "Task",
                "db_table": "tasks",
            },
        ),
    ]
