from main.core.permissions import VLNModelPermissions
from main.core.views import VLNModelViewSet
from tasks.filters import TaskFilter
from tasks.models import Task
from tasks.serializers import TaskSerializer


class TaskViewSet(VLNModelViewSet):
    permission_classes = (VLNModelPermissions,)
    serializer_class = TaskSerializer
    filterset_class = TaskFilter
    queryset = Task.objects.all()
    ordering = ["-id"]
