from main.core.permissions import VLNModelPermissions
from main.core.views import VLNModelViewSet
from tenants.filters import TenantFilter
from tenants.models import Tenant
from tenants.serializers import TenantSerializer


class TenantViewSet(VLNModelViewSet):
    permission_classes = (VLNModelPermissions,)
    serializer_class = TenantSerializer
    filterset_class = TenantFilter
    queryset = Tenant.objects.all()
    ordering = ["-id"]
