import random

import factory
from factory.django import DjangoModelFactory
from faker import Faker

from users.models import User, Pair

fake = Faker()


class UserFactory(DjangoModelFactory):
    class Meta:
        model = User

    username = factory.LazyAttribute(lambda x: f"{fake.user_name()}_{random.randint(0, 99999)}")
    first_name = factory.Faker("first_name")
    last_name = factory.Faker("last_name")
    email = factory.Faker("safe_email")


class PairFactory(DjangoModelFactory):
    class Meta:
        model = Pair

    user = factory.SubFactory(UserFactory)
    master = factory.SubFactory(UserFactory)
